<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc (1.8.0_181) on Fri Apr 26 21:45:30 MSK 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Constant Field Values (server 1.2 API)</title>
<meta name="date" content="2019-04-26">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Constant Field Values (server 1.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?constant-values.html" target="_top">Frames</a></li>
<li><a href="constant-values.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Constant Field Values" class="title">Constant Field Values</h1>
<h2 title="Contents">Contents</h2>
<ul>
<li><a href="#ru.lanolin">ru.lanolin.*</a></li>
</ul>
</div>
<div class="constantValuesContainer"><a name="ru.lanolin">
<!--   -->
</a>
<h2 title="ru.lanolin">ru.lanolin.*</h2>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>ru.lanolin.additions.<a href="ru/lanolin/additions/Guest.html" title="class in ru.lanolin.additions">Guest</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="ru.lanolin.additions.Guest.serialVersionUID">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;long</code></td>
<td><code><a href="ru/lanolin/additions/Guest.html#serialVersionUID">serialVersionUID</a></code></td>
<td class="colLast"><code>4673673961563758015L</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>ru.lanolin.lib.human.<a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="ru.lanolin.lib.human.Human.serialVersionUID">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;long</code></td>
<td><code><a href="ru/lanolin/lib/human/Human.html#serialVersionUID">serialVersionUID</a></code></td>
<td class="colLast"><code>-2186644049879053315L</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>ru.lanolin.server.<a href="ru/lanolin/server/MailSend.html" title="class in ru.lanolin.server">MailSend</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="ru.lanolin.server.MailSend.MAIL_RAW">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="ru/lanolin/server/MailSend.html#MAIL_RAW">MAIL_RAW</a></code></td>
<td class="colLast"><code>"&lt;h1&gt;\u0420\u0435\u0433\u0438\u0441\u0442\u0440\u0430\u0446\u0438\u044f \u0430\u043a\u043a\u0430\u0443\u043d\u0442\u0430&lt;/h1&gt;&lt;h2&gt;Welcome, %1$s!&lt;/h2&gt;&lt;p&gt;\u0411\u043b\u0430\u0433\u043e\u0434\u0430\u0440\u0438\u043c \u0437\u0430 \u0440\u0435\u0433\u0438\u0441\u0442\u0440\u0430\u0446\u0438\u044e \u043d\u0430 \u0441\u0435\u0440\u0432\u0435\u0440\u0435. \u0422\u0435\u043f\u0435\u0440\u044c \u0443 \u0412\u0430\u0441 \u0435\u0441\u0442\u044c \u0434\u043e\u0441\u0442\u0443\u043f \u043a \u0438\u043d\u0442\u0435\u0440\u0430\u043a\u0442\u0438\u0432\u043d\u043e\u0439 \u043a\u043e\u043d\u0441\u043e\u043b\u0438 \u0441\u0435\u0440\u0432\u0435\u0440\u0430.&lt;/p&gt;&lt;h3&gt;\u0418\u043d\u0444\u043e\u0440\u043c\u0430\u0446\u0438\u044f \u043e\u0431 \u0430\u043a\u043a\u0430\u0443\u043d\u0442\u0435:&lt;/h3&gt;&lt;p&gt;Login: %1$s&lt;/p&gt;&lt;p&gt;Password: %2$s&lt;/p&gt;"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="ru.lanolin.server.MailSend.TITLE">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="ru/lanolin/server/MailSend.html#TITLE">TITLE</a></code></td>
<td class="colLast"><code>"\u0420\u0435\u0433\u0438\u0441\u0442\u0440\u0430\u0446\u0438\u044f \u0432 \u043f\u0440\u0438\u043b\u043e\u0436\u0435\u043d\u0438\u0438"</code></td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>ru.lanolin.server.<a href="ru/lanolin/server/MasterDB.html" title="class in ru.lanolin.server">MasterDB</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="ru.lanolin.server.MasterDB.ADD_NEW_HUMAN">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="ru/lanolin/server/MasterDB.html#ADD_NEW_HUMAN">ADD_NEW_HUMAN</a></code></td>
<td class="colLast"><code>"insert into s264472.human(\"name\", creator, feel, quality, birthday)values (?, ?, ?, ?, ?) ON CONFLICT (\"name\") do update set feel = EXCLUDED.feel, quality = EXCLUDED.quality, birthday = EXCLUDED.birthday;"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="ru.lanolin.server.MasterDB.ADD_NEW_USER">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="ru/lanolin/server/MasterDB.html#ADD_NEW_USER">ADD_NEW_USER</a></code></td>
<td class="colLast"><code>"insert into s264472.authentication(email, login, passwd, salt) values (?, ?, ?, ?);"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="ru.lanolin.server.MasterDB.AUTHENTICATION">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="ru/lanolin/server/MasterDB.html#AUTHENTICATION">AUTHENTICATION</a></code></td>
<td class="colLast"><code>"select id,passwd,salt from s264472.authentication where login = ?;"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="ru.lanolin.server.MasterDB.CHECK_USER">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="ru/lanolin/server/MasterDB.html#CHECK_USER">CHECK_USER</a></code></td>
<td class="colLast"><code>"select count(id) from s264472.authentication where email = ? or login = ?;"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="ru.lanolin.server.MasterDB.DELETE_HUMAN">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="ru/lanolin/server/MasterDB.html#DELETE_HUMAN">DELETE_HUMAN</a></code></td>
<td class="colLast"><code>"DELETE FROM s264472.human WHERE \"name\" = ?"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="ru.lanolin.server.MasterDB.GET_ALL_HUMAN">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="ru/lanolin/server/MasterDB.html#GET_ALL_HUMAN">GET_ALL_HUMAN</a></code></td>
<td class="colLast"><code>"select \"name\", feel, quality, birthday, creator from s264472.human;"</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>ru.lanolin.util.<a href="ru/lanolin/util/Utils.html" title="class in ru.lanolin.util">Utils</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="ru.lanolin.util.Utils.ALPHA_NUMERIC_STRING">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="ru/lanolin/util/Utils.html#ALPHA_NUMERIC_STRING">ALPHA_NUMERIC_STRING</a></code></td>
<td class="colLast"><code>"AaBbCcDdEeFfGgHhIiJjKkLlMmNnOoPpQqRrSsTtUuVvWwXxYyZ0123456789"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="ru.lanolin.util.Utils.MAXSIZE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="ru/lanolin/util/Utils.html#MAXSIZE">MAXSIZE</a></code></td>
<td class="colLast"><code>256</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="ru.lanolin.util.Utils.PATTERN_EMAIL">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="ru/lanolin/util/Utils.html#PATTERN_EMAIL">PATTERN_EMAIL</a></code></td>
<td class="colLast"><code>"\\w+([.-]?\\w+)*@\\w+([.-]?\\w+)*\\.\\w{2,4}"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="ru.lanolin.util.Utils.PEPPER">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="ru/lanolin/util/Utils.html#PEPPER">PEPPER</a></code></td>
<td class="colLast"><code>"M^5oeu9)o^"</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?constant-values.html" target="_top">Frames</a></li>
<li><a href="constant-values.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
